
---


steps:
  build:
    image: node:latest
    commands:
      - npm install
      - npm run build
  deploy:
    image: appleboy/drone-scp
    settings:
      strip_components: 1
      host:
        from_secret: host
      username:
        from_secret: ssh_user
      target:
        from_secret: path
      source: public/
      key:
        from_secret: ssh_key